#pragma once
#include <map>
struct M_ActivityMonsterGiftBoxCFGData
{
	//编号
	int mId;
	//物品ID
	int mItemId;
	//物品数量
	int mItemCount;
	//所需试炼积分道具
	int mIntegralItem;
	//所需试炼积分
	int mIntegralCount;
	//武器ID（1武器，0其他）
	int mArmsId;
};

class M_ActivityMonsterGiftBoxCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterGiftBoxCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterGiftBoxCFGData* GetData(int Id);
	const std::map<int, M_ActivityMonsterGiftBoxCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityMonsterGiftBoxCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityMonsterGiftBoxCFGData> mMapData;
};
